# Registration Processes

Registration Processes

## Gets all of the registration processes in the system.

 - [GET /registrationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-processes/listregistrationprocesses.md): This method will scan all registration processes and and return them to the caller.

## Creates a new registration process record that does not already exist.

 - [POST /registrationProcesses/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-processes/createregistrationprocess.md): This method will auto-generate an ID and create a new registration process. If an ID is specified for the registration process, an error will be thrown.

## Execute Batch Operations

 - [POST /registrationProcesses/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-processes/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations

## Returns a list of records with the specified event_id

 - [GET /registrationProcesses/{tenantId}/event/{event_id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-processes/listprocessesbyeventid.md): Returns a list of records with the specified event_id

## Returns a registration process from the system by its ID.

 - [DELETE /registrationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-processes/deleteregistrationprocess.md): This method will delete a registration process with the specified ID.

## Returns a registration process from the system by its ID.

 - [GET /registrationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-processes/getregistrationprocess.md): This method will look up a registration process by the specified ID and return it back.

## Partially updates a registration process with the specified ID.

 - [PATCH /registrationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-processes/patchregistrationprocess.md): This method will patch an existing registration process with the specified ID, using the HTTP PATCH specification.

## Updates a registration process with the specified ID.

 - [PUT /registrationProcesses/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/registration-processes/updateregistrationprocess.md): This method will update an existing registration process with the specified ID.

